Campaigns and creators

The organization's enrolled creators

GET/api/public/v1/campaign_affiliates
LiveAnswers from your brand's records now.

Operation id listCampaignAffiliates

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/campaign_affiliates" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
campaign_idqueryinteger
statusquerystringOne of activepausedleftremovedcompletedarchivedpending Default active
paginationqueryboolean Default false
pagequeryinteger Default 1

Responses

200Success

FieldTypeNotes
affiliatesarray of object
affiliates[].[].affiliate_ageinteger
affiliates[].[].affiliate_amount_earnednumber
affiliates[].[].affiliate_avatar_urlstring, nullable
affiliates[].[].affiliate_emailstring (email)
affiliates[].[].affiliate_genderstring, nullable
affiliates[].[].affiliate_linkstring
affiliates[].[].affiliate_locationstring, nullable
affiliates[].[].affiliate_namestring
affiliates[].[].affiliate_phone_numberstring, nullable
affiliates[].[].campaign_idinteger
affiliates[].[].campaign_namestring
affiliates[].[].connected_accountsarray of object
affiliates[].[].connected_accounts[].[].platformstring
affiliates[].[].connected_accounts[].[].profile_share_urlstring
affiliates[].[].connected_accounts[].[].usernamestring
affiliates[].[].created_atstring
affiliates[].[].discord_idstring, nullable
affiliates[].[].idinteger
affiliates[].[].order_countinteger
affiliates[].[].revenue_generatednumber
affiliates[].[].statusstringOne of activepausedleftremovedcompletedarchivedpending
affiliates[].[].tagstring
affiliates[].[].unique_tagstring
affiliates[].[].user_idinteger
metaobject
meta.current_pageinteger
meta.page_countinteger
meta.row_countinteger

Example

{
  "affiliates": [
    {
      "affiliate_age": 3,
      "affiliate_amount_earned": 125.5,
      "affiliate_avatar_url": "https://example.com/p/1",
      "affiliate_email": "creator@example.com",
      "affiliate_gender": "string",
      "affiliate_link": "https://example.com/p/1",
      "affiliate_location": "string",
      "affiliate_name": "Example name",
      "affiliate_phone_number": "string",
      "campaign_id": 1024,
      "campaign_name": "Example name",
      "connected_accounts": [
        {
          "platform": "string",
          "profile_share_url": "https://example.com/p/1",
          "username": "Example name"
        }
      ],
      "created_at": "2026-11-01T15:04:05Z",
      "discord_id": "string",
      "id": 1024,
      "order_count": 3,
      "revenue_generated": 0.15,
      "status": "active",
      "tag": "MAYA15",
      "unique_tag": "string",
      "user_id": 1024
    }
  ],
  "meta": {
    "current_page": 1,
    "page_count": 1,
    "row_count": 3
  }
}

Errors: 401with an error and usually a message. See errors.

Example values are made up from each field's type and name.